got error to install farming simmulator 2011

September 4, 2012 at 02:18:18
Specs: Windows 7
i got error when instal farming simmulator 2011
the error is :-the virsion of this game is not compatible with the virsion of this wiondows virsion.

i m using window 7 (64 bit )

See More: got error to install farming simmulator 2011

Report •

September 4, 2012 at 06:37:37
Farming Simulator 2011 is compatible with Windows 7 (32 & 64-bit), according to Microsoft, so that error is very strange. Maybe you need to have Service Pack 1 installed? If you haven't got it already, get it here:

I can't see any posts on the official forum for that game from anyone who is having that same problem, but you may want to post your problem on there just in case there is a fix for it:

Post your problem in the "General Questions" section.

Report •
Related Solutions

Ask Question